using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace AjaxDestinations.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult DestinationsHtml()
        {
            return View();
        }

        public ActionResult DestinationsXml()
        {
            return View();
        }
        
        public ActionResult DestinationsJson()
        {
            return View();
        }

        public ActionResult DestinationsJsonp()
        {
            return View();
        }

        public ActionResult DestinationsJquery()
        {
            return View();
        }

        public ActionResult DestinationsJqueryMock()
        {
            return View();
        }

        public ActionResult PlacenameJsonp()
        {
            return View();
        }

        public ActionResult PlacenameJsonpAlt()
        {
            return View();
        }

        public ActionResult PlacenameXhr()
        {
            return View();
        }

        public ActionResult DestinationsIframe()
        {
            return View();
        }

        public ActionResult BingMap()
        {
            return View();
        }

        public ActionResult IPLookupProxy()
        {
            return View();
        }

        public ActionResult PackagesWcfRia()
        {
            return View();
        }

        public ActionResult PackageInfoPollHash()
        {
            return View();
        }

        public ActionResult PackageInfoJqueryHistory()
        {
            return View();
        }

        public ActionResult PackageInfoHistoryApi()
        {
            return View();
        }

        public ActionResult YahooPolling()
        {
            return View();
        }

        public ActionResult PackageInfoKnockout()
        {
            return View();
        }

        public ActionResult PackageInfoKnockoutTemplate()
        {
            return View();
        }

        public ActionResult PackageInfoKnockoutSeparate()
        {
            return View();
        }

    }
}
